Bug 1022180 - dualhead = tons of artifacts
dualhead = tons of artifacts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 12:07 EDT by Michal Hlavinka
Modified: 2015-06-29 08:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:41:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1:3 scale (308.97 KB, image/png)
2013-10-22 12:07 EDT, Michal Hlavinka
no flags Details
dmesg (73.17 KB, text/plain)
2013-10-22 12:07 EDT, Michal Hlavinka
no flags Details
Xorg.0.log (96.13 KB, text/plain)
2013-10-22 12:08 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2013-10-22 12:07:11 EDT
Created attachment 815084 [details]
screenshot 1:3 scale

Description of problem:
Artifacts when moving windows. Happens only on one screen on dualhead setup (laptop screen off, 2 external LCDs)

VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) 


Version-Release number of selected component (if applicable):
Fedora 20 Intel test day livecd

How reproducible:
always

Steps to Reproduce:
1.boot
2.
3.

Actual results:
aritfacts on one srcreen, second one is ok
see attached screenshot


Expected results:
no artifacts


Additional info:
Comment 1 Michal Hlavinka 2013-10-22 12:07:57 EDT
Created attachment 815085 [details]
dmesg
Comment 2 Michal Hlavinka 2013-10-22 12:08:35 EDT
Created attachment 815086 [details]
Xorg.0.log
Comment 3 Christoph Sitter 2014-01-14 07:39:59 EST
I'm using Fedora with 3 external monitors, 2 on DVI 1 on VGA + LVDS on Laptop. I've experienced the same issue. 

I think it's related to switcheroo. when I run the glxgears utility on my DVI monitors, everything works smoothly. I reckon it's not starting the dedicated graphics up properly (although it says it's up) when the load on the system is too little and this might cause the artifacts to show up?

Couldn't find a way to fix it though and switched back to 19 where it works smoothly (almost)
Comment 4 Fedora End Of Life 2015-05-29 05:36:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Christoph Sitter 2015-05-29 10:38:07 EDT
For me this problem still occurs in Fedora 22
Comment 6 Fedora End Of Life 2015-06-29 08:41:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.